=== debian/changelog ===
ros-humble-plansys2-problem-expert (2.0.9-1jammy) jammy; urgency=high

  * Humble Upgrade
  * Fix possible bug https://github.com/ros2/rclcpp/issues/1968
  * Contributors: Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 09 Jul 2022 22:00:00 -0000

ros-humble-plansys2-problem-expert (2.0.8-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Tue, 03 May 2022 22:00:00 -0000

ros-humble-plansys2-problem-expert (2.0.7-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Tue, 03 May 2022 22:00:00 -0000

ros-humble-plansys2-problem-expert (2.0.6-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Mon, 02 May 2022 22:00:00 -0000

ros-humble-plansys2-problem-expert (2.0.5-1jammy) jammy; urgency=high

  * Fix ROS2 Buildfarm error due to Threads
  * Contributors: Francisco Martín Rico, Jake Keller

 -- Francisco Martin Rico <fmrico@gmail.com>  Mon, 02 May 2022 22:00:00 -0000

ros-humble-plansys2-problem-expert (2.0.4-1jammy) jammy; urgency=high

  * Fix version
  * Fix ROS2 Buildfarm error due to Threads
  * Merge branch 'IntelligentRoboticsLabs:master' into master
  * Contributors: Francisco Martín Rico, Jake Keller

 -- Francisco Martin Rico <fmrico@gmail.com>  Mon, 02 May 2022 22:00:00 -0000

ros-humble-plansys2-problem-expert (2.0.3-1jammy) jammy; urgency=high

  * Fix conflicts
  * Qt5 dependencies
  * Contributors: Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 02 Apr 2022 22:00:00 -0000

ros-humble-plansys2-problem-expert (2.0.2-1jammy) jammy; urgency=high

  * Full supportr for (= _ _) PDDL constraints, added possibility to refer to constants, added initial test cases
  * set_decimal_precision: Use std::setprecision to avoid incompatible scientific notation.
  * [problem_expert] clearGoal on clearing knowledge
  * [problem_expert] test constants parsing as part of problem
  * [problem_expert] add constants as instances while parsing problem.pddl
  * Contributors: Francisco Martín Rico, Jake Keller, Josh Zapf, Marco Roveri, Mostafa Gomaa

 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 02 Apr 2022 22:00:00 -0000

ros-humble-plansys2-problem-expert (2.0.1-1jammy) jammy; urgency=high

  * Update deprecated APIs in launchers and parameters
  * get-domain-name: Added service for retrieving domain name. Concatenating domain names when using multiple domains.
  * Update launcher param names
  * remove-invalid-goals: Removing invalid goals when instances are removed. Keep track of update time in problem expert.
  * Merge galactic-devel
  * Contributors: Francisco Martín Rico, Josh Zapf

 -- Francisco Martin Rico <fmrico@gmail.com>  Wed, 02 Feb 2022 23:00:00 -0000

ros-humble-plansys2-problem-expert (2.0.0-1jammy) jammy; urgency=high

  * Compile for ROS2 Galactic
  * Contributors: Francisco Martín Rico, Jonatan Olofsson

 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 03 Jul 2021 22:00:00 -0000

ros-humble-plansys2-problem-expert (1.0.10-1jammy) jammy; urgency=high

  * Remove node parameter in client constructors
  * Adding comments specifying how the syntax is wrong in unexpected_syntax problem file.
  * Adding unit tests for new functions in plansys2_problem_expert.
  * Add ability to read in pddl problem files to plansys2 and a new AddProblem service to the plansys2_problem_expert.
    Adding problem_file node parameter to plansys2_problem_expert to load a single problem file at launch.
  * ros2-plan-msg: Adding functions to plansys2_msgs/Knowledge message.
  * pddl-tree-messages: Deleting unused function declarations. Adding explicit specifier to single param constructors in plansys2_core/Types.hpp.
  * Suggestion for #118 <https://github.com/IntelligentRoboticsLabs/ros2_planning_system/issues/118>
  * pddl-tree-messages: Extending action string parsing utilities in plansys2_problem_expert/Utils.cpp.
  * pddl-tree-messages: Performing some minor cleanup.
  * pddl-tree-messages: Using explicit specifier for single parameter constructors in plansys2_core/Types.hpp.
  * pddl-tree-messages: Replacing user access function calls with shorter versions where possible.
  * pddl-tree-messages: Adding user access functions to domain expert client.
  * pddl-tree-messages: Adding goal user access functions to problem expert client.
  * pddl-tree-messages: Adding predicate user access functions to problem expert client.
  * pddl-tree-messages: Adding predicate user access functions to problem expert client.
  * pddl-tree-messages: Using helper functions in problem expert client to handle user interactions.
  * pddl-tree-messages: Updating getInstance and getInstances calls to use helper classes.
  * pddl-tree-messages: Updating addInstance and removeInstance calls to use helper classes.
  * pddl-tree-messages: Replacing hard coded node equality check with function call.
  * pddl-tree-messages: Using ROS messages to define the PDDL construct trees.
  * Adding support for PDDL addition and subtraction expressions. Courtesy of @jjzapf
  * Update version
  * Contributors: Alexander Xydes, Francisco Martín Rico, Josh Zapf

 -- Francisco Martin Rico <fmrico@gmail.com>  Fri, 02 Jul 2021 22:00:00 -0000

ros-humble-plansys2-problem-expert (1.0.9-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 14 Mar 2021 23:00:00 -0000

ros-humble-plansys2-problem-expert (1.0.8-1jammy) jammy; urgency=high

  * Add unit test checking that an empty goal is not valid.
  * Add check for empty pointer prior to accessing pointer. Applies to checking the tree types of a predicate, involved in checking if a goal is valid.
  * Fix typo in comment string to stop LCOV exclusion block.
  * Update API for FutureReturnCode
  * Action execution refactoring

